Package org.kie.internal.conf

## Class AlphaRangeIndexThresholdOption

- java.lang.Object
- - org.kie.internal.conf.AlphaRangeIndexThresholdOption

- All Implemented Interfaces:
    `java.io.Serializable`, `org.kie.api.conf.KieBaseOption`, `org.kie.api.conf.Option`, `org.kie.api.conf.SingleValueKieBaseOption`, `org.kie.api.conf.SingleValueOption`, `org.kie.api.conf.SingleValueRuleBaseOption`

      public class AlphaRangeIndexThresholdOption
      extends java.lang.Object
      implements org.kie.api.conf.SingleValueRuleBaseOption

  A class for the alpha node range index threshold configuration.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `DEFAULT_VALUE` | The default value for this option
    `static org.kie.api.conf.OptionKey<AlphaRangeIndexThresholdOption>` | `KEY` |
    `static java.lang.String` | `PROPERTY_NAME` | The property name

    - ### Fields inherited from interface org.kie.api.conf.SingleValueRuleBaseOption

      `TYPE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `static AlphaRangeIndexThresholdOption` | `get​(int threshold)` | This is a factory method for this Alpha Range Index Threshold configuration.
    `java.lang.String` | `getPropertyName()`
    `int` | `getThreshold()` | Returns the threshold value for alpha range index
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.conf.Option

      `propertyName`

    - ### Methods inherited from interface org.kie.api.conf.SingleValueRuleBaseOption

      `type`

- - ### Field Detail

    - #### PROPERTY_NAME

          public static final java.lang.String PROPERTY_NAME

      The property name
      See Also:
        Constant Field Values

    - #### KEY

          public static org.kie.api.conf.OptionKey<AlphaRangeIndexThresholdOption> KEY

    - #### DEFAULT_VALUE

          public static final int DEFAULT_VALUE

      The default value for this option
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### get

          public static AlphaRangeIndexThresholdOption get​(int threshold)

      This is a factory method for this Alpha Range Index Threshold configuration. The factory method is a best practice for the case where the actual object construction is changed in the future.
      Parameters:
        `threshold` - the threshold value for the alpha range index option
      Returns:
        the actual type safe alpha range index threshold configuration.

    - #### getPropertyName

          public java.lang.String getPropertyName()

      Specified by:
        `getPropertyName` in interface `org.kie.api.conf.Option`

    - #### getThreshold

          public int getThreshold()

      Returns the threshold value for alpha range index
      Returns:

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`